#pragma once

struct configData
{
    float musicVolume;
    float soundVolume;
    float calibration;
};

class Config
{
private:
    configData data;
public:
    configData editData;
    Config();

    void Load();
    void LoadDefaultEdit();
    void SaveEdit();
    void CancelEdit();

    const configData &getConfig();
private:
    void LoadDefaults();
};
